import 'package:flyyfluttersdk/helpers/FlyyUtility.dart';
import 'package:http/http.dart' as http;

class APIClient {
  static getClient(String path) async {
    String url = 'https://ghc.theflyy.com/api/${path}';

    var headersMap = await FlyyUtility.getHeadersMap(null, null);

    return await http.get(url, headers: headersMap);
  }

  static postClient(String path, Map<String, String> bodyParams, String key,
      String value) async {
    String url = 'https://ghc.theflyy.com/api/${path}';

    var headersMap = await FlyyUtility.getHeadersMap(key, value);

    if (bodyParams != null && bodyParams.length < 0)
      return await http.post(url, headers: headersMap);
    else
      return await http.post(url, headers: headersMap, body: bodyParams);
  }

  static putClient(String path, Map<String, dynamic> bodyParams) async {
    String url = 'https://ghc.theflyy.com/api/${path}';

    var headersMap = await FlyyUtility.getHeadersMap(null, null);

    if (bodyParams != null && bodyParams.length < 0)
      return await http.put(url, headers: headersMap);
    else
      return await http.put(url, headers: headersMap, body: bodyParams);

  }
}
